#ifndef __LCD_DRIVER_H

//void lcd_wait(void);

void lcd_home(void);
void lcd_clear(void);
void lcd_goto(unsigned char, unsigned char);

void lcd_tx(unsigned char);
void lcd_print(unsigned char);
void lcd_cmd(unsigned char);

void shift_cursor_left(unsigned char);
void shift_cursor_right(unsigned char);
void shift_display_left(unsigned char);
void shift_display_right(unsigned char);

void lcd_putc(char);
void lcd_puts(const char *);

//void lcd_putint(unsigned int *);
//void lcd_puttime(unsigned int *m, unsigned int *s);
//void lcd_puttemp(unsigned int *);

void setup_lcd(void);

#define __LCD_DRIVER_H
#endif
