#ifndef __USEFUL_H
#define __USEFUL_H

#define SUCCESS 0
#define FAILURE 1

#define TRUE 1
#define FALSE 0

#define ON 1
#define OFF 0

#define readbit(reg, bit) (((reg) & (1 << (bit))) >> (bit))
#define setbit(reg, bit) ((reg) |= (1 << (bit)))
#define clrbit(reg, bit) ((reg) &= ~(1 << (bit)))
#define togbit(reg, bit) ((reg) ^= (1 << bit))

#define HI_NIBBLE(b) (((b) >> 4) & 0x0f)
#define LO_NIBBLE(b) ((b) & 0x0f)

#endif
